Bug 1762203 - Review Request: qimgv - Qt5 image viewer with optional video support
Summary: Review Request: qimgv - Qt5 image viewer with optional video support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vitaly Zaitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-16 08:17 UTC by Artem
Modified: 2019-10-26 17:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 17:01:07 UTC
vitaly: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-10-16 08:17:18 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/qimgv/fedora-31-x86_64/01059219-qimgv/qimgv.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/qimgv/fedora-31-x86_64/01059219-qimgv/qimgv-0.8.6-2.fc31.src.rpm

Description:
Qt5 image viewer. Fast, configurable, easy to use. Optional video support.

Key features:

- Simple UI
- Fast
- Easy to use
- Fully configurable, including shortcuts
- Basic image editing: Crop, Rotate and Resize
- Ability to quickly copy / move images to different folders
- Experimental video playback via libmpv
- Ability to run shell scripts
- A nice dark theme, should look identical on every OS / DE

Fedora Account System Username: atim

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/qimgv/

Comment 3 Vitaly Zaitsev 2019-10-16 14:30:00 UTC
I will review this package.

Comment 4 Vitaly Zaitsev 2019-10-16 14:30:18 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/qimgv,
     /usr/share/qimgv/translations
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/32x32, /usr/share/qimgv/translations,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/256x256, /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/256x256/apps, /usr/share/icons/hicolor/22x22,
     /usr/share/icons/hicolor/36x36, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/qimgv, /usr/share/icons/hicolor/64x64,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/36x36/apps,
     /usr/share/icons/hicolor/24x24/apps, /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/128x128,
     /usr/share/icons/hicolor/scalable/apps,
     /usr/share/icons/hicolor/24x24, /usr/share/icons/hicolor/16x16/apps,
     /usr/share/icons/hicolor/22x22/apps, /usr/share/icons/hicolor/scalable
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qimgv-0.8.6-4.fc32.x86_64.rpm
          qimgv-debuginfo-0.8.6-4.fc32.x86_64.rpm
          qimgv-debugsource-0.8.6-4.fc32.x86_64.rpm
          qimgv-0.8.6-4.fc32.src.rpm
qimgv.x86_64: W: spelling-error %description -l en_US libmpv -> limp
qimgv.x86_64: W: no-manual-page-for-binary qimgv
qimgv.src: W: spelling-error %description -l en_US libmpv -> limp
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: qimgv-debuginfo-0.8.6-4.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
qimgv-debuginfo.x86_64: W: invalid-url URL: https://github.com/easymodo/qimgv <urlopen error [Errno -2] Name or service not known>
qimgv-debugsource.x86_64: W: invalid-url URL: https://github.com/easymodo/qimgv <urlopen error [Errno -2] Name or service not known>
qimgv.x86_64: W: spelling-error %description -l en_US libmpv -> limp
qimgv.x86_64: W: invalid-url URL: https://github.com/easymodo/qimgv <urlopen error [Errno -2] Name or service not known>
qimgv.x86_64: W: no-manual-page-for-binary qimgv
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Source checksums
----------------
https://github.com/easymodo/qimgv/archive/v0.8.6/qimgv-0.8.6.tar.gz :
  CHECKSUM(SHA256) this package     : a0f43b226a3bb17bf287a45017a21f239db3d8dda8124197529923f700981bc5
  CHECKSUM(SHA256) upstream package : a0f43b226a3bb17bf287a45017a21f239db3d8dda8124197529923f700981bc5


Requires
--------
qimgv (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.12)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libexiv2.so.27()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

qimgv-debuginfo (rpmlib, GLIBC filtered):

qimgv-debugsource (rpmlib, GLIBC filtered):



Provides
--------
qimgv:
    application()
    application(qimgv.desktop)
    metainfo()
    metainfo(qimgv.appdata.xml)
    mimehandler(image/bmp)
    mimehandler(image/gif)
    mimehandler(image/jpeg)
    mimehandler(image/png)
    mimehandler(image/webp)
    mimehandler(video/webm)
    qimgv
    qimgv(x86-64)

qimgv-debuginfo:
    debuginfo(build-id)
    qimgv-debuginfo
    qimgv-debuginfo(x86-64)

qimgv-debugsource:
    qimgv-debugsource
    qimgv-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1762203
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: PHP, Haskell, Perl, Python, R, fonts, SugarActivity, Ocaml, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Vitaly Zaitsev 2019-10-16 14:35:02 UTC
> [!]: Package must own all directories that it creates.

Requires: hicolor-icon-theme

> install -m 0644 -Dp %{name}/res/translations/ru_RU.qm %{buildroot}%{_datadir}/%{name}/translations/%{name}_ru.qm

Should be removed with %find_lang %{name} --with-qt macro, because this app bundle traslations into executable: https://github.com/easymodo/qimgv/blob/831f0c4c3a185c5345fc00df7f40273c6e3811c9/qimgv/resources.qrc#L104

Comment 8 Vitaly Zaitsev 2019-10-16 14:49:51 UTC
res/translations/ru_RU.qm is a binary file. It cannot be loaded. Ask upstream to add regular localization files.

Now you must remove this unknown origin binary in %prep:

sed -e '/translations/d' -i qimgv/resources.qrc

Comment 9 Vitaly Zaitsev 2019-10-16 14:50:44 UTC
LGTM now. Package approved.

Comment 11 Gwyn Ciesla 2019-10-16 15:16:17 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/qimgv

Comment 12 Fedora Update System 2019-10-16 16:14:18 UTC
FEDORA-2019-577f3d7de2 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-577f3d7de2

Comment 13 Fedora Update System 2019-10-16 16:36:49 UTC
FEDORA-2019-f09be760db has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f09be760db

Comment 14 Fedora Update System 2019-10-17 15:30:08 UTC
qimgv-0.8.6-7.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-577f3d7de2

Comment 15 Fedora Update System 2019-10-17 23:41:52 UTC
qimgv-0.8.6-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f09be760db

Comment 16 Fedora Update System 2019-10-25 17:01:07 UTC
qimgv-0.8.6-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-10-26 17:26:28 UTC
qimgv-0.8.6-7.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.